Create a line item
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-deleteimport requests
url = "https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-delete"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ids": [
10146671,
10069829
]
}v1
Create a line item
Update an existing line item by its ID. The request body must be a list of properties you want to update, with each entry including the internal name of the property you want to update, and the new value for that property. See the example for details.
POST
/
crm-objects
/
v1
/
objects
/
line_items
/
batch-delete
Create a line item
Scope requirements
Scope requirements
Response
200 - application/json
Successful response - Update an existing line item by its ID
The response is of type object.
Last modified on March 16, 2026
Was this page helpful?
⌘I